/*
Theme Name: Uncode Child
Description: Child theme for Uncode theme
Author: Undsgn™
Author URI: http://www.undsgn.com
Template: uncode
Version: 1.0.0
Text Domain: uncode
*/

/* MENU */

#menu-menu-principale a {height:auto!important;}
.drop-menu a:hover{color:#134679!important;}
.submenu-light .menu-horizontal:not(.menu-sub-enhanced) .menu-smart ul a:hover,
.submenu-light li.active a{
	color:#134679!important;
}
#menu-menu-principale  li a {
    position: relative;
    display: inline-block;
    text-decoration: none;
    transition: transform 0.3s ease; /* per l'alzamento del testo */
}
.drop-menu li a::after {
	height:0px!important;
}
.wpml-ls-item ul {
	max-width:60px!important;
}
/* Linea iniziale (larga zero, al centro) */
#menu-menu-principale:not(.drop-menu) li a::after {
    content: "";
    position: absolute;
    left: 50%;
    bottom: -3px;
    width: 0;
    height: 3px;
	border-radius:10px;
    background: #B02447;
    transform: translateX(-50%);
    transition: width 0.3s ease;
}

/* HOVER e ACTIVE = sottolineatura + alzamento */
#menu-menu-principale  li:not(.wpml-ls-item):hover a,
#menu-menu-principale  li:not(.wpml-ls-item).active a {
    transform: translateY(-5px);
	color:#1F1F1D!important;
}

#menu-menu-principale li:not(.wpml-ls-item):hover a::after,
#menu-menu-principale li:not(.wpml-ls-item).active a::after {
    width: 50%;
}
body[class*=hmenu-]:not(.hormenu-position-right) .navbar-nav-last:not(.navbar-cta) > ul > li:first-child > a {padding-left:14px!important;}


/* Declare custom font family */
@font-face {
  font-family: "Satoshi";
  src: url("fonts/Satoshi-Black.woff2") format("woff2");
  font-weight: 900;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Satoshi";
  src: url("fonts/Satoshi-BlackItalic.woff2") format("woff2");
  font-weight: 900;
  font-style: italic;
  font-display: swap;
}

/**********/
/* ASSETS */
/**********/

.orariDiLavoro {
	display:grid;
	grid-template-columns:1fr 1fr;
}
.orariDiLavoro .day {
	font-weight:700;
}
.orariDiLavoro .hour {
	text-align:center;
	font-size:80%;
}
/* buttons */
.btn {
	padding:10px 20px!important;
}

/* icons */
.icon-box-content p{margin-top:3px!important;}

.pecetta .h2 {
	background-color:#004F81!important;
	padding:5px 15px!important;
	color:#fff!important;
	border-radius:3px;
}
.headingBackground {
	background-color:#004F81!important;
	padding:4px 10px!important;
	color:#fff!important;
	border-radius:3px;
}
/* font-size */
@media(max-width:900px) {
	.h1{}
	.h2{}
	.h3{}
	.h4{}
	.h5{}
	.h6{}
	.p{}
	.label{}
}



/**********/
/* FORM */
/**********/
.wpcf7-inline-wrapper br{display:none!important;}
/* remove input field in column */
@media(max-width:900px) {
	.wpcf7-inline-wrapper .wpcf7-inline-field {
		width:100%!important;
		display:block!important;
		padding:0px!important;
	}
	form .wpcf7-inline-wrapper:nth-child(2) p{
		margin-top:18px;
	}
}

/********************/
/* ROWS AND COLUMNS */
/********************/
/* hero section */
@media (max-width: 900px) {
    .heroSection .row {
		padding-top:clamp(15px, 3vw, 25px) !important;
		padding-bottom:clamp(15px, 3vw, 25px) !important;
        padding-left: clamp(15px, 5vw, 25px) !important;
        padding-right: clamp(15px, 5vw, 25px) !important;
    }
}

/* limit column full width row */
@media(max-width:900px) {
	.reducedColumn {
		max-width:360px!important;
		margin:auto!important;
	}
}

/**********/
/* FOOTER */
/**********/
footer .footer-last {
	padding-top:25px!important;
	padding-bottom:25px!important;
}

